org.apache.hadoop.mapreduce.jobhistory

## Class TaskUpdated

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.hadoop.mapreduce.jobhistory.TaskUpdated

- All Implemented Interfaces:
    Comparable<org.apache.avro.specific.SpecificRecord>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericRecord, org.apache.avro.generic.IndexedRecord, org.apache.avro.specific.SpecificRecord

      public class TaskUpdated
      extends org.apache.avro.specific.SpecificRecordBase
      implements org.apache.avro.specific.SpecificRecord

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaskUpdated.Builder` RecordBuilder for TaskUpdated instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `finishTime` Deprecated.
    `static org.apache.avro.Schema` | `SCHEMA$`
    `CharSequence` | `taskid` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskUpdated()` Default constructor.
    `TaskUpdated(CharSequence taskid, Long finishTime)` All-args constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(int field$)`
    `static org.apache.avro.Schema` | `getClassSchema()`
    `Long` | `getFinishTime()` Gets the value of the 'finishTime' field.
    `org.apache.avro.Schema` | `getSchema()`
    `CharSequence` | `getTaskid()` Gets the value of the 'taskid' field.
    `static TaskUpdated.Builder` | `newBuilder()` Creates a new TaskUpdated RecordBuilder
    `static TaskUpdated.Builder` | `newBuilder(TaskUpdated.Builder other)` Creates a new TaskUpdated RecordBuilder by copying an existing Builder
    `static TaskUpdated.Builder` | `newBuilder(TaskUpdated other)` Creates a new TaskUpdated RecordBuilder by copying an existing TaskUpdated instance
    `void` | `put(int field$, Object value$)`
    `void` | `setFinishTime(Long value)` Sets the value of the 'finishTime' field.
    `void` | `setTaskid(CharSequence value)` Sets the value of the 'taskid' field.

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, equals, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SCHEMA$

          public static final org.apache.avro.Schema SCHEMA$

    - #### taskid

          @Deprecated
          public CharSequence taskid

      Deprecated.

    - #### finishTime

          @Deprecated
          public long finishTime

      Deprecated.

  - ### Constructor Detail

    - #### TaskUpdated

          public TaskUpdated()

      Default constructor. Note that this does not initialize fields to their default values from the schema. If that is desired then one should use `newBuilder()`.

    - #### TaskUpdated

          public TaskUpdated(CharSequence taskid,
                             Long finishTime)

      All-args constructor.

  - ### Method Detail

    - #### getClassSchema

          public static org.apache.avro.Schema getClassSchema()

    - #### getSchema

          public org.apache.avro.Schema getSchema()

      Specified by:
        `getSchema` in interface `org.apache.avro.generic.GenericContainer`
      Specified by:
        `getSchema` in class `org.apache.avro.specific.SpecificRecordBase`

    - #### get

          public Object get(int field$)

      Specified by:
        `get` in interface `org.apache.avro.generic.IndexedRecord`
      Specified by:
        `get` in class `org.apache.avro.specific.SpecificRecordBase`

    - #### put

          public void put(int field$,
                          Object value$)

      Specified by:
        `put` in interface `org.apache.avro.generic.IndexedRecord`
      Specified by:
        `put` in class `org.apache.avro.specific.SpecificRecordBase`

    - #### getTaskid

          public CharSequence getTaskid()

      Gets the value of the 'taskid' field.

    - #### setTaskid

          public void setTaskid(CharSequence value)

      Sets the value of the 'taskid' field.
      Parameters:
        `value` - the value to set.

    - #### getFinishTime

          public Long getFinishTime()

      Gets the value of the 'finishTime' field.

    - #### setFinishTime

          public void setFinishTime(Long value)

      Sets the value of the 'finishTime' field.
      Parameters:
        `value` - the value to set.

    - #### newBuilder

          public static TaskUpdated.Builder newBuilder()

      Creates a new TaskUpdated RecordBuilder

    - #### newBuilder

          public static TaskUpdated.Builder newBuilder(TaskUpdated.Builder other)

      Creates a new TaskUpdated RecordBuilder by copying an existing Builder

    - #### newBuilder

          public static TaskUpdated.Builder newBuilder(TaskUpdated other)

      Creates a new TaskUpdated RecordBuilder by copying an existing TaskUpdated instance

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.